const system = require("../../system");
const Dao = require("../dao.base");
class CompanyAuthCodeDao extends Dao {
  constructor() {
    super(Dao.getModelName(CompanyAuthCodeDao));
  }
  orderBy(){
    //return {"key":"include","value":{model:this.db.models.app}};
    return [["company_id","ASC"]];
  }
  extraModelFilter(){
    return {
      "key":"include","value":[
        {model:this.db.models.company,attributes:["id","name"]},
      ]
    };
  }

}
module.exports = CompanyAuthCodeDao;
